package MyCollections;

public interface MyCollection <V> {
	 boolean add(V e);
	 boolean add(int index, V element);
	 
	 int get(int index);
	 
	 boolean set(int index, V element);
	 
	 boolean remove(Object o);
	 boolean remove(int index);
	 
	 int size();
	 
	 boolean isEmpty();
	 
	 boolean contains(Object o);
	 
	 int indexOf(Object o);
	 
	 void printAll();
	 
	 
}
